#pragma rtGlobals=1		// Use modern global access method.
#pragma version = 0.01

Proc extraSpecRead(fileVar)
	Variable fileVar			// file ref number
	Silent 1

	String line1,line2				// line of input from file
	Variable i

	FStatus fileVar							// this section special for reading #BL and #B lines
	Variable FilePos = V_filePos			// this should be the start of the scan

	line1 = FindDataLineType(fileVar,"#I ",1)
	if (strlen(line1)>2)
		line1 = line1[3,inf]
		SetBValues("filter",line1)
	endif

	line1 = FindDataLineType(fileVar,"#B0 ",1)
	if (strlen(line1)>2)
		line1 = line1[4,inf]
		line2 = FindDataLineType(fileVar,"#B1 ",1)
		line2=line2[4,inf]
		SetBValues(line1,line2)
	endif

	line1 = FindDataLineType(fileVar,"#B2 ",1)
	if (strlen(line1)>2)
		line1 = line1[4,inf]
		line2 = FindDataLineType(fileVar,"#B3 ",1)
		line2=line2[4,inf]
		SetBValues(line1,line2)
	endif

	line1 = FindDataLineType(fileVar,"#B4 ",1)
	if (strlen(line1)>2)
		line1 = line1[4,inf]
		line2 = FindDataLineType(fileVar,"#B5 ",1)
		line2=line2[4,inf]
		SetBValues(line1,line2)
	endif

	line1 = FindDataLineType(fileVar,"#B6 ",1)
	if (strlen(line1)>2)
		line1 = line1[4,inf]
		line2 = FindDataLineType(fileVar,"#B7 ",1)
		line2=line2[4,inf]
		SetBValues(line1,line2)
	endif

	line1 = FindDataLineType(fileVar,"#B8 ",1)
	if (strlen(line1)>2)
		line1 = line1[4,inf]
		line2 = FindDataLineType(fileVar,"#B9 ",1)
		line2=line2[4,inf]
		SetBValues(line1,line2)
	endif

	line1 = FindDataLineType(fileVar,"#B10 ",1)
	if (strlen(line1)>2)
		line1 = line1[5,inf]
		line2 = FindDataLineType(fileVar,"#B11 ",1)
		line2=line2[5,inf]
		SetBValues(line1,line2)
	endif

	line1 = FindDataLineType(fileVar,"#R1 ",0)
	if (strlen(line1)>2)
		line1 = line1[4,inf]
		String r1Names="--  peakXmax  peakmax  peakFWHM  peakCWHM  peakCOM  peakSUM"
		SetBValues(r1Names,line1)
	endif

	line1 = FindDataLineType(fileVar,"#R2 ",0)
	if (strlen(line1)>2)
		line1 = line1[4,inf]
		String r2Names="--  osaX  osaY  zpX  zpY  zpZ  wireY"
		SetBValues(r2Names,line1)
	endif

	FSetPos fileVar, FilePos					// reset file position to start of scan
End
